| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
uiWellDahDisplay Class Reference
uiWell

Well depth/distance along hole display. More...

`#include <uiwelldahdisplay.h>`

Inheritance diagram for uiWellDahDisplay:
[legend]

## Classes
struct | DahObjData
struct | Data
struct | MarkerDraw
struct | PickData
struct | Setup

## Public Member Functions
| uiWellDahDisplay (uiParent *, const Setup &)
| ~uiWellDahDisplay ()
DahObjData & | dahObjData (bool first)
Well::DisplayProperties::Markers & | markerDisp ()
void | reDraw ()
void | reDrawAnnots ()
void | setData (const Data &data)
void | setZRange (Interval< float > zrg)
const Data & | zData ()
TypeSet< PickData > & | zPicks ()
Public Member Functions inherited from uiGraphicsView
| uiGraphicsView (uiParent *, const char *nm)
| ~uiGraphicsView ()
void | disableImageSave ()
void | enableImageSave ()
uiCrossHairItem * | getCrossHairItem ()
uiAction * | getPrintImageAction ()
uiToolButton * | getPrintImageButton (uiParent *)
uiAction * | getSaveImageAction ()
uiToolButton * | getSaveImageButton (uiParent *)
Public Member Functions inherited from uiGraphicsViewBase
| uiGraphicsViewBase (uiParent *, const char *)
| ~uiGraphicsViewBase ()
OD::Color | backgroundColor () const override
void | centreOn (uiPoint)
void | disableScrollZoom ()
ODDragMode | dragMode () const
void | enableScrollZoom (bool yn=true)
GestureEventHandler & | gestureEventHandler ()
uiPoint | getCursorPos () const
KeyboardEventHandler & | getKeyboardEventHandler ()
MouseEventHandler & | getMouseEventHandler ()
bool | getMouseWheelReversal () const
MouseEventHandler & | getNavigationMouseEventHandler ()
void | getScaleFactor (float &, float &) const
int | getSceneBorder () const
uiPoint | getScenePos (float, float) const
uiRect | getSceneRect () const
const uiRect * | getSelectedArea () const
const uiPoint & | getStartPos () const
uiRect | getViewArea () const
bool | hasMidMouseButtonForDrag () const
bool | hasMouseTracking () const
int | height () const override
| height of widget
bool | isCtrlPressed () const
bool | isRubberBandingOn () const
uiPoint | mapFromScene (const Geom::Point2D< float > &) const
Geom::Point2D< float > | mapToScene (const uiPoint &) const
Geom::RectF | mapToScene (const uiRect &) const
| mOD_DisableCopy (uiGraphicsViewBase) void setScene(uiGraphicsScene &)
| Scene becomes mine.
bool | print ()
void | rePaint ()
uiGraphicsScene & | scene ()
uiSize | scrollBarSize (bool horizontal) const
bool | scrollZoomEnabled ()
void | setBackgroundColor (const OD::Color &) override
void | setCtrlPressed (bool yn)
void | setDragMode (ODDragMode)
void | setMidMouseButtonForDrag (bool)
void | setMouseTracking (bool)
void | setMouseWheelReversal (bool)
void | setNoBackGround ()
void | setScaleFactor (float, float)
void | setSceneAlignment (const Alignment &)
void | setSceneBorder (int)
void | setSceneRect (const uiRect &)
void | setScrollBarPolicy (bool hor, ScrollBarPolicy)
void | setViewArea (double x, double y, double w, double h)
void | show ()
int | viewHeight () const
| height of viewport
int | viewWidth () const
| width of viewport
int | width () const override
| width of widget
Public Member Functions inherited from uiObject
| ~uiObject ()
uiSize | actualSize (bool include_border=true) const
void | attach (ConstraintType, int margin=-1)
| attaches object to another In case the stretched... options are used, margin=-1 (default) stretches the object not to cross the border. margin=-2 stretches the object to fill the parent's border. This looks nice with separators.
void | attach (ConstraintType, uiObject *, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *, int margin=-1, bool reciprocal=true)
virtual const ObjectSet< uiBaseObject > * | childList () const
void | close ()
void | deepRedraw ()
void | disabFocus ()
void | display (bool yn, bool shrink=false, bool maximized=false)
const uiFont * | font () const
QWidget * | getWidget () override
virtual bool | handleLongTabletPress ()
bool | hasFocus () const
bool | isCursorInside () const
bool | isDisplayed () const
virtual bool | isEmpty () const
bool | isSensitive () const
uiMainWin * | mainwin ()
| mOD_DisableCopy (uiObject) enum SzPolicy
| How should the object's size behave? Undef : use default. Small : 1 base sz. Medium : 2* base sz + 1. Wide : 4* base sz + 3. The xxVar options specify that the element may have a bigger internal preferred size. In that case, the maximum is taken. The xxMax options specify that the element should take all available space ( stretch = 2 )
uiParent * | parent ()
const uiParent * | parent () const
int | prefHNrPics () const
int | prefVNrPics () const
QWidget * | qwidget ()
const QWidget * | qwidget () const
void | reDraw (bool deep)
void | reParent (uiParent *)
OD::Color | roBackgroundColor () const
bool | sensitive () const
virtual void | setBackgroundPixmap (const uiPixmap &)
void | setCaption (const uiString &)
virtual void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setHSzPol (SzPolicy)
void | setMaximumHeight (int)
void | setMaximumHeightInChar (int)
void | setMaximumWidth (int)
void | setMaximumWidthInChar (int)
void | setMinimumHeight (int)
void | setMinimumHeightInChar (int)
void | setMinimumWidth (int)
void | setMinimumWidthInChar (int)
virtual void | setName (const char *) override
virtual void | setPrefHeight (int)
void | setPrefHeightInChar (float)
virtual void | setPrefHeightInChar (int)
virtual void | setPrefWidth (int)
void | setPrefWidthInChar (float)
virtual void | setPrefWidthInChar (int)
void | setSensitive (bool yn=true)
void | setStretch (int hor, int ver)
| Sets stretch factors for object If stretch factor is > 1, then object will already grow at pop-up.
virtual void | setStyleSheet (const char *)
virtual void | setTextColor (const OD::Color &)
void | setToolTip (const uiString &)
void | setVSzPol (SzPolicy)
void | shallowRedraw ()
int | stretch (bool hor) const
SzPolicy | szPol (bool hor=true) const
const uiString & | toolTip () const
void | translateText () override
bool | visible () const
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
virtual Notifier< uiBaseObject > & | postFinalise ()
virtual Notifier< uiBaseObject > & | postFinalize ()
virtual Notifier< uiBaseObject > & | preFinalise ()
virtual Notifier< uiBaseObject > & | preFinalize ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
const Well::D2TModel * | d2T () const
void | dataChanged ()
virtual void | draw ()
virtual void | drawCurve (bool)
void | drawMarkers ()
void | drawZPicks ()
virtual void | gatherDataInfo (bool)
virtual void | gatherInfo ()
MarkerDraw * | getMarkerDraw (const Well::Marker &)
void | init (CallBacker *)
const Well::MarkerSet * | markers () const
void | reSized (CallBacker *)
void | setAxisRanges (bool)
void | setAxisRelations ()
const Well::Track * | track () const
Protected Member Functions inherited from uiGraphicsView
void | printImageCB (CallBacker *)
void | saveImageCB (CallBacker *)
Protected Member Functions inherited from uiGraphicsViewBase
uiGraphicsViewBody & | mkbody (uiParent *, const char *)
void | rubberBandCB (CallBacker *)
void | translateText () override
Protected Member Functions inherited from uiObject
| uiObject (uiParent *, const char *nm)
| uiObject (uiParent *, const char *nm, uiObjectBody &)
virtual bool | closeOK ()
| hook. Accepts/denies closing of window.
uiObjectBody * | objBody ()
const uiObjectBody * | objBody () const
void | triggerSetGeometry (const i_LayoutItem *, uiRect &)
| setGeometry should be triggered by this's layoutItem
void | updateToolTip (CallBacker *=nullptr)
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
DahObjData * | ld1_
DahObjData * | ld2_
ObjectSet< MarkerDraw > | markerdraws_
Well::DisplayProperties::Markers | mrkdisp_
Setup | setup_
Data | zdata_
uiGraphicsItemSet | zpickitms_
TypeSet< PickData > | zpicks_
Protected Attributes inherited from uiGraphicsView
uiCrossHairItem * | crosshairitem_
bool | enableimagesave_
Protected Attributes inherited from uiGraphicsViewBase
uiGraphicsViewBody * | body_
bool | enabscrollzoom_
bool | isctrlpressed_
uiGraphicsScene * | scene_
int | sceneborder_
uiRect * | selectedarea_
Protected Attributes inherited from uiObject
uiString | tooltip_
uiObjEventFilter * | uiobjeventfilter_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Friends
class | uiWellDisplay
class | uiWellDisplayControl

## Additional Inherited Members
Public Types inherited from uiGraphicsViewBase
enum | ODDragMode { NoDrag , ScrollHandDrag , RubberBandDrag }
enum | ScrollBarPolicy { ScrollBarAsNeeded , ScrollBarAlwaysOff , ScrollBarAlwaysOn }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiGraphicsViewBase
static const ObjectSet< uiGraphicsViewBase > & | allInstances ()
static bool | doPrintDialog (QGraphicsScene &)
Static Public Member Functions inherited from uiObject
static int | baseFldSize ()
static int | iconSize ()
static void | setTabOrder (uiObject *first, uiObject *second)
static void | updateToolTips ()
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiGraphicsViewBase
Notifier< uiGraphicsViewBase > | preDraw
Notifier< uiGraphicsViewBase > | reDrawn
| In practice, this happens only after reSize.
Notifier< uiGraphicsViewBase > | reDrawNeeded
CNotifier< uiGraphicsViewBase, uiSize > | reSize
| CallBacker is OLD size.
Notifier< uiGraphicsViewBase > | rubberBandUsed
Notifier< uiGraphicsViewBase > | scrollBarUsed
Public Attributes inherited from uiObject
Notifier< uiObject > | closed
| Triggered when object closes.
CNotifier< uiObject, uiRect & > | setGeometry
| triggered when getting a new geometry A reference to the new geometry is passed which can be manipulated, before the geometry is actually set to the QWidget.

## Detailed Description

Well depth/distance along hole display.

<>

## Constructor & Destructor Documentation

## ◆ uiWellDahDisplay()

uiWellDahDisplay::uiWellDahDisplay | ( | uiParent * | ,
|  | const Setup & | )

## ◆ ~uiWellDahDisplay()

uiWellDahDisplay::~uiWellDahDisplay | ( |  | ) |

## Member Function Documentation

## ◆ d2T()

const Well::D2TModel * uiWellDahDisplay::d2T | ( |  | ) | const
| inline protected

## ◆ dahObjData()

DahObjData & uiWellDahDisplay::dahObjData | ( | bool | first | ) |
| inline

## ◆ dataChanged()

void uiWellDahDisplay::dataChanged | ( |  | ) |
| protected

## ◆ draw()

virtual void uiWellDahDisplay::draw | ( |  | ) |
| protected virtual

Reimplemented in uiWellLogDisplay, and uiWellStratDisplay.

## ◆ drawCurve()

virtual void uiWellDahDisplay::drawCurve | ( | bool |  | ) |
| protected virtual

Reimplemented in uiWellLogDisplay.

## ◆ drawMarkers()

void uiWellDahDisplay::drawMarkers | ( |  | ) |
| protected

## ◆ drawZPicks()

void uiWellDahDisplay::drawZPicks | ( |  | ) |
| protected

## ◆ gatherDataInfo()

virtual void uiWellDahDisplay::gatherDataInfo | ( | bool |  | ) |
| protected virtual

Reimplemented in uiWellLogDisplay.

## ◆ gatherInfo()

virtual void uiWellDahDisplay::gatherInfo | ( |  | ) |
| protected virtual

Reimplemented in uiWellStratDisplay.

## ◆ getMarkerDraw()

MarkerDraw * uiWellDahDisplay::getMarkerDraw | ( | const Well::Marker & |  | ) |
| protected

## ◆ init()

void uiWellDahDisplay::init | ( | CallBacker * |  | ) |
| protected

## ◆ markerDisp()

Well::DisplayProperties::Markers & uiWellDahDisplay::markerDisp | ( |  | ) |
| inline

## ◆ markers()

const Well::MarkerSet * uiWellDahDisplay::markers | ( |  | ) | const
| inline protected

## ◆ reDraw()

void uiWellDahDisplay::reDraw | ( |  | ) |
| inline

## ◆ reDrawAnnots()

void uiWellDahDisplay::reDrawAnnots | ( |  | ) |
| inline

## ◆ reSized()

void uiWellDahDisplay::reSized | ( | CallBacker * |  | ) |
| protected

## ◆ setAxisRanges()

void uiWellDahDisplay::setAxisRanges | ( | bool |  | ) |
| protected

## ◆ setAxisRelations()

void uiWellDahDisplay::setAxisRelations | ( |  | ) |
| protected

## ◆ setData()

void uiWellDahDisplay::setData | ( | const Data & | data | ) |

## ◆ setZRange()

void uiWellDahDisplay::setZRange | ( | Interval< float > | zrg | ) |
| inline

## ◆ track()

const Well::Track * uiWellDahDisplay::track | ( |  | ) | const
| inline protected

## ◆ zData()

const Data & uiWellDahDisplay::zData | ( |  | ) |
| inline

## ◆ zPicks()

TypeSet< PickData > & uiWellDahDisplay::zPicks | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ uiWellDisplay

friend class uiWellDisplay
| friend

## ◆ uiWellDisplayControl

friend class uiWellDisplayControl
| friend

## Member Data Documentation

## ◆ ld1_

DahObjData* uiWellDahDisplay::ld1_
| protected

## ◆ ld2_

DahObjData* uiWellDahDisplay::ld2_
| protected

## ◆ markerdraws_

ObjectSet<MarkerDraw> uiWellDahDisplay::markerdraws_
| protected

## ◆ mrkdisp_

Well::DisplayProperties::Markers uiWellDahDisplay::mrkdisp_
| protected

## ◆ setup_

Setup uiWellDahDisplay::setup_
| protected

## ◆ zdata_

Data uiWellDahDisplay::zdata_
| protected

## ◆ zpickitms_

uiGraphicsItemSet uiWellDahDisplay::zpickitms_
| protected

## ◆ zpicks_

TypeSet<PickData> uiWellDahDisplay::zpicks_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025